# RK3588 Release Note

## rk3588_bl31_v1.33.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-12-07 | rk3588_bl31_v1.33.elf | 17b41886e    | important |

### New

1. Support rk3588m, rk3588j.

------

## rk3588_usbplug_v1.10.bin

| Date       | File                     | Build commit | Severity  |
| ---------- | :----------------------- | ------------ | --------- |
| 2022-11-22 | rk3588_usbplug_v1.10.bin | b0e3c43c2    | important |

### New

1. Improve compatibility

------
## rk3588_bl31_v1.32.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-11-21 | rk3588_bl31_v1.32.elf | e529a2760    | important |

### New

1. Support bus auto CS.

------

## rk3588_ddr_lp4_2112MHz_lp5_2736MHz_v1.09.bin

| Date       | File                                         | Build commit | Severity  |
| ---------- | :------------------------------------------- | ------------ | --------- |
| 2022-11-21 | rk3588_ddr_lp4_2112MHz_lp5_2736MHz_v1.09.bin | a930779e06   | important |

### NEW

1. Derate/perbank refresh can be enable/disable by ddrbin_tool.
2. Support pstore function.
3. boot FSP configurable by ddrbin_tool.
4. Enable LPDDR5 DMC function.
5. Support LPDDR5 byte mode DRAM.
6. Recycle 256MB memory(overlap with REG space). This function can be disable by ddrbin_tool.

### Fixed

| Index | Severity  | Update                                   | Issue description                                            | Issue source |
| ----- | --------- | ---------------------------------------- | ------------------------------------------------------------ | ------------ |
| 1     | important | Fix WRTRN Bug                            | Fix WRTRN bug when ddr freq between 533MHz - 1066MHz         | -            |
| 2     | important | Fix ZQCALIB bug                          | Increase auto ZQCALIB command period to 470ms                | -            |
| 3     | important | Fix 528M bug                             | 528MHz undo RDTRN, SW*skew should be clean before clean before switch to 528MHz. | -            |
| 4     | important | Improve LPDDR5 stability and performance | Fix some LPDDR5 timing like rd2wr,wr2rd and hash config to improve stability and performance. | -            |
| 5     | important | LP4/LP4x support 32GB cap                | LP4/LP4x support 32GB cap                                    | -            |

------

## rk3588_bl31_v1.31.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-11-09 | rk3588_bl31_v1.31.elf | 91e396185    | important |

### New

1. Enable RK_ENABLE_A76_L2_FLUSH_TO_L3 function.
2. Support amp function.

### Fixed

| Index | Severity  | Update                                                       | Issue description | Issue source |
| ----- | --------- | ------------------------------------------------------------ | ----------------- | ------------ |
| 1     | important | Save/restore some performance setting in system suspend/resume | -                 | -            |

------

## rk3588_bl31_v1.30.elf

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-10-12 | rk3588_bl31_v1.30.elf | 1450d21e8    | important |

### New

1. Support pstore.

------

## rk3588_bl31_v1.29.elf

| 时间       | 文件                  | 编译 commit | 重要程度  |
| ---------- | :-------------------- | ----------- | --------- |
| 2022-09-29 | rk3588_bl31_v1.29.elf | 686b5c48b   | important |

### New

1. Add A55 AT speculative patches.
2. Add LPDDR5 DFS patches, support DFS between rows.
3. Config FW-DSU region according to the specific DDR channel.

### Fixed

| Index | 重要程度  | 更新说明                                       | 问题现象                                                     | 问题来源 |
| ----- | --------- | ---------------------------------------------- | ------------------------------------------------------------ | -------- |
| 1     | important | Fix problem about CEC wakeup.                  | When waiting for CEC wakeup source in system suspend, gpio1/3 irq will wakeup both AP and mcu . | -        |
| 2     | important | Fix configuration about ddr.                   | Fix ddr-unstable problem.                                    | -        |
| 3     | important | Fix problem in system suspend if disable uart. | If loader disable uart, system suspend will panic.           | -        |

------

## rk3588_bl32_v1.12.bin

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-09-20 | rk3588_bl32_v1.12.bin | 4542e1efd    | important |

### New

1.Config FW-DSU region according to the specific DDR channel.

------

## rk3588_bl32_v1.11.bin

| Date       | File                  | Build commit | Severity  |
| ---------- | :-------------------- | ------------ | --------- |
| 2022-09-15 | rk3588_bl32_v1.11.bin | d84087907    | important |

### Fixed

| Index | Severity  | Update                                                       | Issue description                                            | Issue source |
| ----- | --------- | ------------------------------------------------------------ | ------------------------------------------------------------ | ------------ |
| 1     | important | Solve the problem that OPTEE is stuck during startup when printing is closed | User use /rkbin/tools/ddrbin_tool to close printing ,  then rk_atags will notify OPTEE to disable printing, When OPTEE starts, it will be stuck and unable to enter U-Boot | -            |

------

