# RV1106 Release Note

## rv1106_hpmcu_tb_{sc230ai,sc3338,gc3003}_v1.50.bin

| Date       | File                                              | Build commit                                | Severity |
| ---------- | :------------------------------------------------ | ------------------------------------------- | -------- |
| 2022-11-17 | rv1106_hpmcu_tb_{sc230ai,sc3338,gc3003}_v1.50.bin | rtt:a40f17d#hal:b569247#battery_ipc:c62dd55 | critical |

### New

1. sc3338 add 1152x648@60fps 27M mclk bining config，chose this config as default.
2. add gc3003 sensor support.

### Fixed

| Index | Severity | Update                         | Issue description                                            | Issue source |
| ----- | -------- | ------------------------------ | ------------------------------------------------------------ | ------------ |
| 1     | critical | Limit camera convergence time. | Camera spends too much time converging，it causes the thunderboot isp driver in kernel fails to start stream. | -            |

------

## rv1106_hpmcu_wrap_v1.53.bin

| Date       | File                        | Build commit                     | Severity |
| ---------- | :-------------------------- | ------------------------------- | -------- |
| 2022-11-16 | rv1106_hpmcu_wrap_v1.53.bin | rockit_ko:c9653fe9#hal:a76806e7 | important     |

### Fixed

| Index | Severity  | Update                    | Issue source                          | Issue |
| ----- | --------- | --------------------------- | --------------------------------- | -------- |
| 1     | important | adjust QOS policy           | ISP probabilistic mipi drop frame | -        |
| 2     | important | stop the mcu when rebooting | probabilistic stuck during reboot | -        |

------

## rv1106_ddr_924MHz{_tb}_v1.10.bin

| Date       | File                             | Build commit | Severity  |
| ---------- | :------------------------------- | ------------ | --------- |
| 2022-11-15 | rv1106_ddr_924MHz{_tb}_v1.10.bin | ec2fae0c96   | important |

### Fixed

| Index | Severity  | Update                                              | Issue description                                   | Issue source |
| ----- | --------- | --------------------------------------------------- | --------------------------------------------------- | ------------ |
| 1     | important | Change reg_fb1xclk_invdelaysel_dqcmd（except DDR2） | DDR may be unstable under specific freq and voltage | -            |
| 2     | moderate  | Improve write trian pattern                         | Improve the accuracy of write train                 | -            |

------

## rv1106_hpmcu_tb_{sc230ai,sc3338}_v1.40.bin

| Date      | File                                       | Build commit                                   | Severity  |
| --------- | :----------------------------------------- | ---------------------------------------------- | --------- |
| 2022-11-1 | rv1106_hpmcu_tb_{sc230ai,sc3338}_v1.40.bin | rtt:05d3e965d#hal:b569247c#battery_ipc:bc3785d | important |

### Fixed

| Index | Severity  | Update                                                  | Issue description                                | Issue source |
| ----- | --------- | ------------------------------------------------------- | ------------------------------------------------ | ------------ |
| 1     | important | Fixed sc3338 horizontal stripes when in dark brightness | sc3338 has horizontal stripes in dark brightness | -            |

------
## rv1106_hpmcu_tb_gc2093_v1.30.bin

| Date       | File                             | Build commit                                                  | Severity |
| ---------- | :------------------------------- | ------------------------------------------------------------ | -------- |
| 2022-10-27 | rv1106_hpmcu_tb_gc2093_v1.30.bin | rtt:2ede82a43#hal:b569247c#battery_ipc:efaec692c#rtt-cherry-pick:8b1555259 | important     |

### New

1. add gc2093 sensor support

------
## rv1106_hpmcu_tb_{sc230ai,sc3338}_v1.30.bin

| Date       | File                                       | Build Commit                                     | Severity |
| ---------- | :----------------------------------------- | ------------------------------------------------ | -------- |
| 2022-10-20 | rv1106_hpmcu_tb_{sc230ai,sc3338}_v1.30.bin | rtt:2ede82a43#hal:b569247c#battery_ipc:efaec692c | important |

### New

1. Add support for LTR308 digital light sensor.
2. Add support for hdr.

### Fixed

| Index | Severity  | Update                                | Issue description                                            | Issue source |
| ----- | --------- | ------------------------------------- | ------------------------------------------------------------ | ------------ |
| 1     | important | Fixed 0 address flushed               | When the spi nor flash is in 1-wire mode, spl data is flushed, so spl cannot be started. | -            |
| 2     | important | Fix the shared memory cache operation | The ARM core cannot obtain the shared memory data in time.   | -            |

------
## rv1106_hpmcu_wrap_v1.50.bin

| Date       | File                        | Build commit                    | Severity |
| ---------- | :-------------------------- | ------------------------------- | -------- |
| 2022-09-29 | rv1106_hpmcu_wrap_v1.50.bin | rockit_ko:576377cb#hal:a76806e7 | critical |

### Fixed

| Index | Severity  | Update                     | Issue description                          | Issue source |
| ----- | --------- | -------------------------- | ------------------------------------------ | ------------ |
| 1     | moderate  | optimize code              | decrease code size and add log information | -            |
| 2     | important | increase encoder ddr qos   | slove some wrap overflow                   | -            |
| 3     | critical  | invalite icache and dcache | destory linux memory for cache exchange    | -            |

------

## rv1106_hpmcu_wrap_v1.46.bin

| Date       | File                        | Build commit                    | Severity  |
| ---------- | :-------------------------- | ------------------------------- | --------- |
| 2022-09-08 | rv1106_hpmcu_wrap_v1.46.bin | rockit_ko:7e8fe8af#hal:a76806e7 | important |

### Fixed

| Index | Severity  | Update                                                    | Issue description                                            | Issue source |
| ----- | --------- | --------------------------------------------------------- | ------------------------------------------------------------ | ------------ |
| 1     | important | repair the bug of v1.40 cause                             | after venc start double stream，mcu maube can not check wrap frame end，casuse main stream off | -            |
| 2     | important | repair the bug  destory memory when reset working mcu     | when mcu is working, if  it is reset will destory system memory | -            |
| 3     | important | mcu check overflow, bug venc can not lost the error frame | if venc start too slow, mcu will make a overflow event to venc, but venc can not lost the error frame | -            |

------

## rv1106_hpmcu_tb_{sc230ai,sc3338}_v1.20.bin

| Date       | File                              | Build Commit     | Severity  |
| ---------- | :-------------------------------- | ---------- | --------- |
| 2022-09-03 | rv1106_hpmcu_tb_{sc230ai,sc3338}_v1.20.bin | rtt:efa791c#hal:b569247#battery_ipc:d5fb92e | critical |

### New

1. Support full parameters in aiq for the first frame in fastboot.
2. Support set resolution and fps from meta partition.
3. Support sync meta header file.
4. Optimize the iq result for fast AE,The exposure decomposition is exactly consistent with aiq, supports DB gain synsensor, and supports the check exposure register
5. Enable AE statistics in full-parameter parallel solution.
6. Meta addresses can be configured using menuconfig

### Fixed

| Index | Severity  | Update                                                       | Issue description                                            | Issue source |
| ----- | --------- | ------------------------------------------------------------ | ------------------------------------------------------------ | ------------ |
| 1     | important | resolve "thread:tidle stack overflow" problem                | Sometimes "Thread: Tidle Stack Overflow" is displayed. RTT exits abnormally | -         |
| 2     | important | Suppore get  AE calibration parameters from iq bin           | AE calibration data is not vaild.                            | -         |
| 3     | important | To solve the problem of the change of denoising and sharpening effect and the dimming of brightness after AIQ startup in dark environment | The connection between kernel phase and aiq is not smooth in dark environment | -         |
| 4     | critical  | To solve the problem of full-parameter image effect, it needs to match the AIQ submission 0ed3f415d3, otherwise the image will turn green | the image effect is abnormal in full-parameter               | -         |
